Bug 3831 - [UPDATE REQUEST] grub2-2.00-44
: [UPDATE REQUEST] grub2-2.00-44
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
https://abf.rosalinux.ru/import/grub2...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-03 17:51 MSK by Konstantin Vlasov
Modified: 2014-03-06 11:58 MSK (History)
3 users (show)

See Also:
RPM Package: grub2
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2014-03-03 17:51:10 MSK
A bug was fixed in grub2: grub2-mkconfig crashed when swap was located on a disk device with name different from sdX (e.g. QEMU virtio devices have names /dev/vdX). Now hdX, sdX and vdX devices are supported.
Comment 1 Konstantin Vlasov 2014-03-03 17:54:26 MSK
https://abf.rosalinux.ru/build_lists/1679137
https://abf.rosalinux.ru/build_lists/1679138
Advisory: Support not only /dev/sdX devices, but also hdX and vdX (fixes a crash in grub2-mkconfig).
Comment 2 Vladimir Potapov 2014-03-04 13:14:04 MSK
The update route to extended testing
Comment 3 Postnikov Dmitry 2014-03-05 23:56:15 MSK
***************************
Extended testing report
**************************
On two my computers all normal work.
Comment 4 Vladimir Potapov 2014-03-06 11:55:37 MSK
grub2-2.00-45
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1679137/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1679138/x86_64/main/release/
************************* Advisory *********************
 Support not only /dev/sdX devices, but also hdX and vdX (fixes a crash in grub2-mkconfig
********************************************************
QA Verified